cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/api-keys \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"example name","service_account_id":"1234abcd-1234-1234-abcd-12345678abcd"}'{
"api_key": {
"created_at": "2022-03-22T20:23:11.285067Z",
"id": "CCDB1_12345abcdefGHIJKLMnopq",
"name": "example name",
"service_account_id": "1234abcd-1234-1234-abcd-12345678abcd"
},
"secret": "CCDB1_12345abcdefGHIJKLMnopq_NkdXLI9d81Mnx3djs45iwPfgtnaRv0XCh0Z9047K"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
POST
/
api
/
v1
/
api-keys
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/api-keys \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"example name","service_account_id":"1234abcd-1234-1234-abcd-12345678abcd"}'{
"api_key": {
"created_at": "2022-03-22T20:23:11.285067Z",
"id": "CCDB1_12345abcdefGHIJKLMnopq",
"name": "example name",
"service_account_id": "1234abcd-1234-1234-abcd-12345678abcd"
},
"secret": "CCDB1_12345abcdefGHIJKLMnopq_NkdXLI9d81Mnx3djs45iwPfgtnaRv0XCh0Z9047K"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
A successful response.
Show child attributes
Show child attributes
Example:
{ "created_at": "2022-03-22T20:23:11.285067Z", "id": "CCDB1_12345abcdefGHIJKLMnopq", "name": "example name", "service_account_id": "1234abcd-1234-1234-abcd-12345678abcd" }
The full api key. This is the value that would be passed in the Authorization header. It is not stored by the backend and is therefore not recoverable if lost.
Example:
"CCDB1_12345abcdefGHIJKLMnopq_NkdXLI9d81Mnx3djs45iwPfgtnaRv0XCh0Z9047K"

